Loading...
Searching...
No Matches
piola_on_pointset< T >

## Detailed Description

template<class T>
class rheolef::piola_on_pointset< T >

Definition at line 142 of file piola_on_pointset.h.

Inheritance diagram for piola_on_pointset< T >:

## Public Types

typedef piola_on_pointset_rep< T > | rep
typedef smart_pointer< rep > | base
typedef rep::size_type | size_type
Public Types inherited from smart_pointer< piola_on_pointset_rep< T > >
typedef T | handled_type
typedef base::internal | internal

## Public Member Functions

| piola_on_pointset ()
void | initialize (const basis_basic< T > &piola_basis, const quadrature< T > &quad, const integrate_option &iopt)
void | initialize (const basis_basic< T > &piola_basis, const basis_basic< T > &nodal_basis, const integrate_option &iopt)
const basis_on_pointset< T > & | get_basis_on_pointset () const
bool | has_quadrature () const
const quadrature< T > & | get_quadrature () const
const basis_basic< T > & | get_nodal_basis () const
template<class M>
const Eigen::Matrix< piola< T >, Eigen::Dynamic, 1 > & | get_piola (const geo_basic< T, M > &omega, const geo_element &K) const
template<class M>
const Eigen::Matrix< T, Eigen::Dynamic, 1 > & | get_weight (const geo_basic< T, M > &omega, const geo_element &K) const
bool | ignore_sys_coord () const
Public Member Functions inherited from smart_pointer< piola_on_pointset_rep< T > >
| smart_pointer (T *p=0)
smart_pointer< T > & | operator= (const smart_pointer< T > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, details::constructor_copy< T > >
| smart_pointer_base (T *p=0)
smart_pointer_base< T, details::constructor_copy< T > > & | operator= (const smart_pointer_base< T, details::constructor_copy< T > > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
int | reference_counter () const
counter * | get_count () const

## Member Typedef Documentation

## rep

template<class T>

typedef piola_on_pointset_rep<T> rep

Definition at line 144 of file piola_on_pointset.h.

## base

template<class T>

typedef smart_pointer<rep> base

Definition at line 145 of file piola_on_pointset.h.

## size_type

template<class T>

typedef rep::size_type size_type

Definition at line 146 of file piola_on_pointset.h.

## Constructor & Destructor Documentation

## piola_on_pointset()

template<class T>

piola_on_pointset | ( |  | ) |

Definition at line 183 of file piola_on_pointset.h.

## Member Function Documentation

## initialize() [1/2]

template<class T>

void initialize | ( | const basis_basic< T > & | piola_basis,
|  | const quadrature< T > & | quad,
|  | const integrate_option & | iopt )

Definition at line 190 of file piola_on_pointset.h.

## initialize() [2/2]

template<class T>

void initialize | ( | const basis_basic< T > & | piola_basis,
|  | const basis_basic< T > & | nodal_basis,
|  | const integrate_option & | iopt )

Definition at line 200 of file piola_on_pointset.h.

## get_basis_on_pointset()

template<class T>

const basis_on_pointset< T > & get_basis_on_pointset | ( |  | ) | const

Definition at line 210 of file piola_on_pointset.h.

## has_quadrature()

template<class T>

bool has_quadrature | ( |  | ) | const

Definition at line 217 of file piola_on_pointset.h.

## get_quadrature()

template<class T>

const quadrature< T > & get_quadrature | ( |  | ) | const

Definition at line 224 of file piola_on_pointset.h.

## get_nodal_basis()

template<class T>

const basis_basic< T > & get_nodal_basis | ( |  | ) | const

Definition at line 231 of file piola_on_pointset.h.

## get_piola()

template<class T>
template<class M>

const Eigen::Matrix< piola< T >, Eigen::Dynamic, 1 > & get_piola | ( | const geo_basic< T, M > & | omega,
|  | const geo_element & | K ) const

Definition at line 239 of file piola_on_pointset.h.

## get_weight()

template<class T>
template<class M>

const Eigen::Matrix< T, Eigen::Dynamic, 1 > & get_weight | ( | const geo_basic< T, M > & | omega,
|  | const geo_element & | K ) const

Definition at line 247 of file piola_on_pointset.h.

## ignore_sys_coord()

template<class T>

bool ignore_sys_coord | ( |  | ) | const

Definition at line 179 of file piola_on_pointset.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/piola_on_pointset.h